Classes | UGens>Filters>BEQSuite

# BBandStop : BEQSuite : Filter : PureUGen : UGen : AbstractFunction : Object

Band reject filter
Source: BEQSuite.sc
See also: SOS, BLowPass, BLowPass4, BHiPass, BHiPass4, BPeakEQ, BLowShelf, BHiShelf, BBandPass, BAllPass

## Description

The B equalization suite is based on the Second Order Section (SOS) biquad UGen.

NOTE: Biquad coefficient calculations imply certain amount of CPU overhead. These plugin UGens contain optimizations such that the coefficients get updated only when there has been a change to one of the filter's parameters. This can cause spikes in CPU performance and should be considered when using several of these units.

## Class Methods

### BBandStop.ar(in, freq: 1200, bw: 1, mul: 1, add: 0)

#### Arguments:

in | input signal to be processed.
freq | center frequency. WARNING: due to the nature of its implementation frequency values close to 0 may cause glitches and/or extremely loud audio artifacts!
bw | the bandwidth in octaves between -3 dB frequencies.
mul |
add |

### Inherited class methods

### Undocumented class methods

### BBandStop.sc(dummy, freq: 1200, bw: 1)

## Instance Methods

### Inherited instance methods

## Examples

    s.boot;
    (
    z = {
    BBandStop.ar(
        SoundIn.ar([0,1]),
        MouseX.kr(20, 20000, \exponential),
        MouseY.kr(0.0, 10.0, \linear), // bw
        0.5); // mul
    }.play)
    z.release;

    (
    z = {
    BBandStop.ar(
        WhiteNoise.ar ! 2,
        MouseX.kr(20, 20000, \exponential),
        MouseY.kr(0.0, 10.0, \linear), // bw
        0.1); // mul
    }.play)
    z.release;

    (
    z = { // drill...
    BBandStop.ar(
        SinOsc.ar(1000) ! 2,
        MouseX.kr(800, 1200, \exponential),
        MouseY.kr(0.0, 10.0, \linear), // bw
        0.1); // mul
    }.play)
    z.release;

    (
    z = { // nada
    BBandStop.ar(
        SinOsc.ar(1000) ! 2,
        1000,
        MouseY.kr(0.0, 10.0, \linear), // bw
        0.5); // mul
    }.play)
    z.release;

helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/BBandStop.schelp
link::Classes/BBandStop::